# $Revision: 1.31 $, $Date: 2010/04/18 08:47:41 $
#
%define		subver	b2
%define		rel		7
%define		srcname	xml-commons
%include	/usr/lib/rpm/macros.java

Summary:	Common code for Apache XML projects
Summary(pl.UTF-8):	Wspólny kod dla projektów Apache XML
Name:		java-%{srcname}
Version:	1.0
Release:	0.%{subver}.%{rel}
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/xml/commons/%{srcname}-%{version}.%{subver}.tar.gz
# Source0-md5:	6c6551ece56948ee535d5f5014489b8d
Patch0:		%{srcname}.build.patch
Patch1:		%{srcname}.manifest.patch
URL:		http://xml.apache.org/commons/
BuildRequires:	ant
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	sed >= 4.0
Requires:	jpackage-utils
Provides:	xml-commons
Obsoletes:	xml-commons
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xml-commons is focused on common code and guidelines for xml projects.
Its first focus will be to organize and have common packaging for the
various externally-defined standards code relating to XML - things
like the DOM, SAX, and JAXP interfaces.

%description -l pl.UTF-8
Projekt xml-commons koncentruje się na wspólnym kodzie i wytycznych
dla projektów XML. Pierwszym celem będzie zorganizowanie i
spakietowanie kodu wspólnego dla różnych zewnętrznych standardów
związanych z XML-em - rzeczy takich jak DOM, SAX oraz interfejsy JAXP.

%package javadoc
Summary:	Online manual for xml-commons
Summary(pl.UTF-8):	Dokumentacja online dla xml-commons
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	xml-commons-javadoc

%description javadoc
Documentation for xml-commons.

%description javadoc -l pl.UTF-8
Dokumentacja dla xml-commons.

%prep
%setup -q -n %{srcname}-%{version}.%{subver}

%{__sed} -i -e 's,\r$,,' build.xml
%{__sed} -i -e 's,\r$,,' java/which.xml
%{__sed} -i -e 's,\r$,,' java/external/build.xml

%patch0 -p1
%patch1 -p1

%build
%ant clean
%ant jars

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

install java/external/build/xml-apis.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-apis-%{version}.jar
install java/build/which.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-which-%{version}.jar

ln -s %{srcname}-apis-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-apis.jar
ln -s %{srcname}-which-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-which.jar

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a java/external/build/docs/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc KEYS README.html
%{_javadir}/*.jar

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-xml-commons.spec,v $
Revision 1.31  2010/04/18 08:47:41  jajcus
- do not force gcj
- Release: 7

Revision 1.30  2010/04/17 07:44:30  jajcus
- do not pull java-sun via BR - icedtea6 should be enough in all (most) cases

Revision 1.29  2009/03/31 15:28:34  pawelz
- Apache license version
- versioned ant R needed only when building with gcj
- we are not the xml-commons community (removed from description)

Revision 1.28  2009/03/31 12:57:59  paszczus
- it can also be build with java-sun so bcond java_sun added
- rel 6

Revision 1.27  2009/02/02 12:28:36  glen
- Libraries/Java group

Revision 1.26  2009/02/01 22:41:13  pawelz
- ant must know that we use gnu java

Revision 1.25  2009/02/01 22:05:32  pawelz
- BR: java-gcj-compat-devel (not java-gcj-compat)

Revision 1.24  2009/02/01 21:55:31  pawelz
- build using java-gcj-compat
- typo i dependencies
- rel 5

Revision 1.23  2009/01/30 16:05:57  pawelz
- rel 4, STBR

Revision 1.22  2009/01/30 15:54:02  glen
- no macros for obsoletes, cosmetics

Revision 1.21  2009/01/30 11:07:04  pawelz
- renamed from xml-commons.spec

Revision 1.20  2009/01/28 10:16:05  pawelz
- use gcj not sun javac (so now we could build it on i486)
- BR: gcj, ant >= 1.7.1-3 (because of ant-gcjtask.patch)
- what happened to "%ant clean"? I am almost sure that I'v added it in last
  commit... strange...

Revision 1.19  2009/01/27 16:30:58  pawelz
- cleanup

Revision 1.18  2009/01/27 16:11:31  pawelz
- undos ant build files (ARRRRGH!!! WHY THIS STUPID CVS UNDOS PATCHES!!!)
- do not remove built files manually. Use ant clean.

Revision 1.17  2008/02/09 21:00:47  qboosh
- unified License format

Revision 1.16  2007-12-14 08:17:21  glen
- unify java package; rel 3

Revision 1.15  2007-02-12 22:09:23  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.13  2007/01/23 08:14:07  qboosh
- pl for -javadoc

Revision 1.12  2007/01/22 23:53:59  glen
- add -javadoc

Revision 1.11  2007/01/22 23:50:11  glen
- copy EA from ant

Revision 1.10  2007/01/22 23:43:51  glen
- update java build; rel 2

Revision 1.9  2007/01/07 15:37:26  qboosh
- working Source0 URL

Revision 1.8  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.7  2004/07/15 12:00:32  qboosh
- unification: use install

Revision 1.6  2004/07/15 11:54:40  pluto
- use %{_javadir}.

Revision 1.5  2004/02/24 01:11:56  ankry
- pl fixes, cosmetics

Revision 1.4  2003/08/26 23:19:18  gotar
- no // in paths, sort, white space cleaning

Revision 1.3  2003/08/12 23:54:17  ankry
- cosmetics

Revision 1.2  2003/06/28 00:18:37  qboosh
- pl

Revision 1.1  2003/06/26 13:02:04  pascalek
- initial release
